﻿<UserControl x:Class="MyWPFApp.Views.DataUserControl"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:MyWPFApp.Views" xmlns:AlternationConverter="clr-namespace:MyWPFApp.Convertors"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    
    <UserControl.Resources>
        <AlternationConverter:ImagePathConvertor x:Key="my:ImagePathConvertor"/>
    </UserControl.Resources>
    
    <Grid>
        <DataGrid x:Name="dgMyHeroes" Grid.Column="0" Margin="10,10,10,10" AutoGenerateColumns="False" ItemsSource="{Binding Path=MyWarriors}"
                    SelectedItem="{Binding Path=SelectedHero, Mode=TwoWay}">
            <DataGrid.Columns>
                <DataGridTextColumn Header="Name" Binding="{Binding Path=name, Mode=TwoWay}"></DataGridTextColumn>
                <DataGridTemplateColumn Header="Type">
                    <DataGridTemplateColumn.CellTemplate>
                        <DataTemplate>
                            <Image Width="30" Height="30" 
                                Source="{Binding type,
                                Converter={StaticResource my:ImagePathConvertor }
                            }" >
                            </Image>
                        </DataTemplate>
                    </DataGridTemplateColumn.CellTemplate>
                </DataGridTemplateColumn>
                <DataGridTextColumn Header="HP" Binding="{Binding Path=HP, Mode=TwoWay}"></DataGridTextColumn>
                <DataGridTextColumn Header="X" Binding="{Binding Path=X, Mode=TwoWay}"></DataGridTextColumn>
                <DataGridTextColumn Header="Y" Binding="{Binding Path=Y, Mode=TwoWay}"></DataGridTextColumn>
                <DataGridTextColumn Header="Attack" Binding="{Binding Path=attack, Mode=TwoWay}"></DataGridTextColumn>
                <DataGridTextColumn Header="Defence" Binding="{Binding Path=defence, Mode=TwoWay}"></DataGridTextColumn>
                <DataGridCheckBoxColumn Header="Alive" Binding="{Binding Path=alive, Mode=TwoWay}"></DataGridCheckBoxColumn>
            </DataGrid.Columns>
        </DataGrid>
    </Grid>
</UserControl>
